Public Member Functions | List of all members
clan::PointerEvent Class Reference

Pointer (mouse/tablet) event. More...

`#include <pointer_event.h>`

Inheritance diagram for clan::PointerEvent:

## Public Member Functions
| PointerEvent (PointerEventType type, PointerButton button, const Pointf &pos, bool alt_down, bool shift_down, bool ctrl_down, bool cmd_down)
bool | alt_down () const
| True if the alt key was down. More...
PointerButton | button () const
| Pointer button relevant for the event. More...
bool | cmd_down () const
| True if the command key was down. More...
bool | ctrl_down () const
| True if the control key was down. More...
Pointf | pos (View *view) const
| Pointer position relative to local view content coordinates. More...
Pointf | pos (const std::shared_ptr< View > &view) const
void | set_pos (View *view, const Pointf &pos)
| Set event pointer position relative to local view content coordinates. More...
bool | shift_down () const
| True if the shift key was down. More...
PointerEventType | type () const
| Pointer event type. More...
Public Member Functions inherited from clan::EventUI
virtual | ~EventUI ()
std::shared_ptr< View > | current_target ()
| View the event is currently being dispatched to. More...
bool | default_prevented () const
| Flag if the event default action should be executed after dispatch. More...
EventUIPhase | phase () const
| Current active event phase during dispatch. More...
void | prevent_default ()
| Prevent default action from being executed after dispatch. More...
bool | propagation_stopped () const
| Flag if event propagation should stop. More...
void | set_timestamp (long long ts)
| Set event timestamp. More...
void | stop_propagation ()
| Stops event from propagating further. More...
std::shared_ptr< View > | target ()
| The target view the event is fired for. More...
long long | timestamp () const
| Timestamp for event in milliseconds since 1970. More...

## Detailed Description

Pointer (mouse/tablet) event.

## Constructor & Destructor Documentation

clan::PointerEvent::PointerEvent | ( | PointerEventType | type,
|  | PointerButton | button,
|  | const Pointf & | pos,
|  | bool | alt_down,
|  | bool | shift_down,
|  | bool | ctrl_down,
|  | bool | cmd_down
| ) |  |
| inline

## Member Function Documentation

bool clan::PointerEvent::alt_down | ( |  | ) | const
| inline

True if the alt key was down.

PointerButton clan::PointerEvent::button | ( |  | ) | const
| inline

Pointer button relevant for the event.

bool clan::PointerEvent::cmd_down | ( |  | ) | const
| inline

True if the command key was down.

bool clan::PointerEvent::ctrl_down | ( |  | ) | const
| inline

True if the control key was down.

Pointf clan::PointerEvent::pos | ( | View * | view | ) | const

Pointer position relative to local view content coordinates.

Pointf clan::PointerEvent::pos | ( | const std::shared_ptr< View > & | view | ) | const

void clan::PointerEvent::set_pos | ( | View * | view,
|  | const Pointf & | pos
| ) |  |

Set event pointer position relative to local view content coordinates.

bool clan::PointerEvent::shift_down | ( |  | ) | const
| inline

True if the shift key was down.

PointerEventType clan::PointerEvent::type | ( |  | ) | const
| inline

Pointer event type.

The documentation for this class was generated from the following file:

- pointer_event.h